
#Persistent  ; Keep this script running until the user explicitly exits it.
SetTimer, WatchAxis, 0
return

WatchAxis:
GetKeyState, Joy1, Joy1  ; Get position of 1 button
GetKeyState, Joy2, Joy2  ; Get position of 2 button
GetKeyState, Joy3, Joy3 ; Get position of 3 button
GetKeyState, Joy4, Joy4  ; Get position of 4 button

KeyToHoldDownPrev = %KeyToHoldDown%  ; Prev now holds the key that was down before (if any).

KeyToHoldDown = ;default if no joystick action

if joy1=D
  KeyToHoldDown = 1
else if joy2=D
  KeyToHoldDown= 2
else if joy3=D
  KeyToHoldDown= 3
else if joy4=D
  KeyToHoldDown= 4  
else
  KeyToHoldDown = 0

;Previous key check
if KeyToHoldDown = 0  ; The correct key is already down (or no key is needed).
    return  ; Do nothing.

; Otherwise, release the previous key and press down the new key:
SetKeyDelay -1  ; Avoid delays between keystrokes.

if KeyToHoldDown = 1   ; There is a key to press down.
{
    Send  {RShift down}. ; Press it down.
	Sleep 100
	Send {RShift up} ; Release it up.
	return
}
else if KeyToHoldDown = 2   ; There is a key to press down.
{
    Send  {RShift down}{BS} ; Press it down.
	Sleep 100
	Send {RShift up} ; Release it up.
	return
}
else if KeyToHoldDown = 3   ; There is a key to press down.
{
    Send  {RShift down}a ; Press it down.
	Sleep 100
	Send {RShift up} ; Release it up.
	return
}
else if KeyToHoldDown = 4   ; There is a key to press down.
{
    Send  {RShift down}, ; Press it down.
	Sleep 100
	Send {RShift up} ; Release it up.
	return
}
else
	return


return
