function Fill_Form(loadclass,bombername,bomberclass,pylonrequest)

	loadclass = string.upper(loadclass)
	bombername = string.upper(bombername)
	bomberclass = string.upper(bomberclass)

	hBuum = {} -- 'load' vessel handler 
	hBuumAtt = {} -- 'load' attachment handler
	BuumID = {} -- 'load' attachment ID

	numvessels = vessel.get_count()

	--How many valid loads? And what are they handlers?
	wpnctr = 0
	odx=0
	while odx < numvessels do

		vthisv = vessel.get_interface(odx)
		hthisv = vthisv:get_handle()
		vclname = vthisv:get_classname()
		hAtt = vthisv:get_attachmenthandle(true,0) -- loads have just one child attachment 

		if string.upper(vclname) ==loadclass  and vthisv:get_attachmentstatus(hAtt) == nil  then
			wpnctr = wpnctr+1
			hBuum[wpnctr-1] = hthisv
			hBuumAtt[wpnctr-1] = vthisv:get_attachmenthandle(true,0)
			BuumID[wpnctr-1] = vthisv:get_attachmentid(hBuumAtt[wpnctr-1])
		end

		odx = odx + 1
	end


	-- Porter vessel scan
	hBbr = {}
	bbrcntr = 0
	odx=0
	while odx < numvessels do

		vthisv = vessel.get_interface(odx)
		vclname = vthisv:get_classname()
		vname = vthisv:get_name()

		if (bombername == '' and string.upper(vclname) == bomberclass) or (bombername ~='' and string.upper(vname) == bombername)  then
			ody = 0
			bbrcntr = bbrcntr + 1
			hBbr[bbrcntr - 1] = {}
			hBbr[bbrcntr - 1].vif = vthisv
			hBbr[bbrcntr - 1].pylnctr = 0
			while ody < hBbr[bbrcntr - 1].vif:get_attachmentcount(false) do
				hAtt = hBbr[bbrcntr - 1].vif:get_attachmenthandle(false,ody)
				Attid = hBbr[bbrcntr - 1].vif:get_attachmentid(hAtt)
				if string.sub(Attid,1,3) == 'B2S' then
					hAttched = hBbr[bbrcntr - 1].vif:get_attachmentstatus(hAtt)
					if hAttched == nil then
						hBbr[bbrcntr - 1].pylnctr = hBbr[bbrcntr - 1].pylnctr+1
						hBbr[bbrcntr - 1][hBbr[bbrcntr - 1].pylnctr -1] = hAtt
					end
				end
				ody = ody + 1
			end
		end
		odx = odx +1
	end

	--Load the weapons at the pylons...
	--attachment scan
	odx= 0
	while odx < bbrcntr do

		ody= 0
		while wpnctr > 0  and ody < hBbr[odx].pylnctr do
			if pylonrequest == '' or (pylonrequest ~= '' and bomberclass == ''and  ody == pylonrequest) then
				ok = hBbr[odx].vif:attach_child(hBuum[wpnctr - 1],hBbr[odx][ody],hBuumAtt[wpnctr - 1])
				wpnctr = wpnctr - 1
			end
			ody = ody + 1
		end

		odx =odx +1
	end
end

term.out( 'You got the forms commander.\nTo load a pylon fill a request form.\n(Fill_Form(Load Name,Vessel Name, , Available pylon index) ')